> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Veo3.1-Fast 비디오 생성 Beta

> - Veo 3.1 Fast (veo-3.1-fast) 모델은 텍스트-투-비디오, 첫 프레임 이미지-투-비디오 등의 모드를 지원합니다
- 비동기 처리 모드이며, 반환된 작업 ID를 사용하여 [조회](/ko/api-manual/task-management/get-task-detail)하세요
- 생성된 영상 링크는 24시간 동안 유효하므로 즉시 저장하세요



## OpenAPI

````yaml ko/api-manual/video-series/veo3.1/veo3.1-fast-video-generate.json POST /v1/videos/generations
openapi: 3.1.0
info:
  title: veo3.1-fast 인터페이스
  description: AI 모델을 사용하여 영상 생성 작업을 생성하며, 텍스트-투-비디오, 이미지-투-비디오 등의 생성 모드를 지원합니다
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.evolink.ai
    description: 프로덕션 환경
security:
  - bearerAuth: []
tags:
  - name: 비디오 생성
    description: AI 영상 생성 관련 API
paths:
  /v1/videos/generations:
    post:
      tags:
        - 비디오 생성
      summary: veo3.1-fast 인터페이스
      description: >-
        - Veo 3.1 Fast (veo-3.1-fast) 모델은 텍스트-투-비디오, 첫 프레임 이미지-투-비디오 등의 모드를
        지원합니다

        - 비동기 처리 모드이며, 반환된 작업 ID를 사용하여
        [조회](/ko/api-manual/task-management/get-task-detail)하세요

        - 생성된 영상 링크는 24시간 동안 유효하므로 즉시 저장하세요
      operationId: createVideoGeneration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VideoGenerationRequest'
            examples:
              text_to_video:
                summary: 텍스트-투-비디오
                value:
                  model: veo3.1-fast-beta
                  prompt: A cat playing piano
      responses:
        '200':
          description: 비디오 생성 작업이 성공적으로 생성되었습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoGenerationResponse'
        '400':
          description: 요청 매개변수가 잘못되었습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: invalid_request
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: 인증되지 않았거나 토큰이 유효하지 않거나 만료되었습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: unauthorized
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: 할당량이 부족합니다. 충전이 필요합니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: insufficient_quota
                  message: Insufficient quota. Please top up your account.
                  type: insufficient_quota
        '403':
          description: 접근이 거부되었습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: model_access_denied
                  message: 'Token does not have access to model: veo3.1-fast-beta'
                  type: invalid_request_error
        '429':
          description: 요청 한도를 초과했습니다
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: rate_limit_exceeded
                  message: Too many requests, please try again later
                  type: rate_limit_error
        '500':
          description: 서버 내부 오류
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: internal_error
                  message: Internal server error
                  type: api_error
components:
  schemas:
    VideoGenerationRequest:
      type: object
      required:
        - model
        - prompt
      properties:
        model:
          type: string
          description: >-
            비디오 생성 모델 이름


            **하위 호환성:** 이전에 통합된 모델명 `veo3.1-fast`은 계속 사용 가능하며,
            `veo3.1-fast-beta`로 자동 매핑됩니다
          enum:
            - veo3.1-fast-beta
          default: veo3.1-fast-beta
          example: veo3.1-fast-beta
        prompt:
          type: string
          description: 생성할 영상을 설명하는 프롬프트, 2000 토큰으로 제한
          example: A cat playing piano
          maxLength: 2000
        aspect_ratio:
          type: string
          description: >-
            영상 화면 비율. `auto`로 설정 시: 이미지-투-비디오는 입력 이미지 비율에 따라 자동 선택, 텍스트-투-비디오는
            프롬프트 내용에 따라 자동 선택
          enum:
            - auto
            - '16:9'
            - '9:16'
          default: auto
          example: auto
        image_urls:
          type: array
          description: >-
            이미지-투-비디오 기능을 위한 참조 이미지 URL 목록


            **참고:**

            - 단일 요청 지원 이미지 수: `3`장 (첫 프레임 영상 생성 시 1장, 첫-마지막 프레임 영상 생성 시 2장)

            - 이미지 크기: `10MB` 이하

            - 지원 파일 형식: `.jpg`, `.jpeg`, `.png`, `.webp`

            - 이미지 URL은 서버에서 직접 조회 가능하거나, 접근 시 직접 다운로드가 시작되어야 합니다 (일반적으로 `.png`,
            `.jpg` 등 이미지 확장자로 끝나는 URL)
          items:
            type: string
            format: uri
          maxItems: 3
          example:
            - http://example.com/image1.jpg
        quality:
          type: string
          description: 영상 해상도, 기본값은 `720p`입니다
          enum:
            - 720p
        generation_type:
          type: string
          description: |-
            영상 생성 모드, 기본적으로 이미지 수에 따라 매칭되며, 수동 선택을 권장합니다. 사용 가능한 모드:

            - `TEXT`: 텍스트-투-비디오
            - `FIRST&LAST`: 첫-마지막 프레임 투 비디오, `1`~`2`장 이미지 지원
            - `REFERENCE`: 참조 이미지 투 비디오, 최대 `3`장 이미지 지원

            **참고:**
            - 현재 참조 이미지 투 비디오 `REFERENCE` 모드는 `16:9` 화면 비율만 지원합니다
          enum:
            - TEXT
            - FIRST&LAST
            - REFERENCE
        enhance_prompt:
          type: boolean
          description: >-
            프롬프트를 자동으로 영어로 번역할지 여부. 활성화 시 영어가 아닌 프롬프트는 자동으로 영어로 번역되어 더 나은 생성 결과를
            얻습니다
          default: true
          example: true
        callback_url:
          type: string
          description: >-
            작업 완료 후 HTTPS 콜백 주소


            **콜백 타이밍:**

            - 작업이 완료, 실패 또는 취소될 때 트리거됨

            - 과금 확인 완료 후 전송


            **보안 제한:**

            - HTTPS 프로토콜만 지원

            - 내부 IP 주소로의 콜백 금지 (127.0.0.1, 10.x.x.x, 172.16-31.x.x, 192.168.x.x
            등)

            - URL 길이는 `2048`자를 초과할 수 없음


            **콜백 메커니즘:**

            - 타임아웃: `10`초

            - 실패 시 최대 `3`회 재시도 (`1`초/`2`초/`4`초 후 재시도)

            - 콜백 응답 본문 형식은 작업 조회 API 응답 형식과 동일

            - 콜백 주소가 2xx 상태 코드를 반환하면 성공으로 간주, 다른 상태 코드는 재시도를 트리거
          format: uri
          example: https://your-domain.com/webhooks/video-task-completed
    VideoGenerationResponse:
      type: object
      properties:
        created:
          type: integer
          description: 작업 생성 타임스탬프
          example: 1757169743
        id:
          type: string
          description: 작업 ID
          example: task-unified-1757169743-7cvnl5zw
        model:
          type: string
          description: 실제 사용된 모델 이름
          example: veo3.1-fast-beta
        object:
          type: string
          enum:
            - video.generation.task
          description: 특정 작업 유형
        progress:
          type: integer
          description: 작업 진행률 (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: 작업 상태
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          $ref: '#/components/schemas/VideoTaskInfo'
          description: 비디오 작업 상세 정보
        type:
          type: string
          enum:
            - text
            - image
            - audio
            - video
          description: 작업 출력 유형
          example: video
        usage:
          $ref: '#/components/schemas/VideoUsage'
          description: 사용량 및 과금 정보
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: 오류 코드 식별자
            message:
              type: string
              description: 오류 설명
            type:
              type: string
              description: 오류 유형
    VideoTaskInfo:
      type: object
      properties:
        can_cancel:
          type: boolean
          description: 작업 취소 가능 여부
          example: true
        estimated_time:
          type: integer
          description: 예상 완료 시간 (초)
          minimum: 0
          example: 180
        video_duration:
          type: integer
          description: 비디오 길이 (초)
          example: 8
    VideoUsage:
      type: object
      description: 사용량 및 과금 정보
      properties:
        billing_rule:
          type: string
          description: 과금 규칙
          enum:
            - per_call
            - per_token
            - per_second
          example: per_call
        credits_reserved:
          type: number
          description: 예상 소비 크레딧
          minimum: 0
          example: 25.7
        user_group:
          type: string
          description: 사용자 그룹 카테고리
          example: default
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: |-
        ##모든 API는 Bearer Token 인증이 필요합니다##

        **API Key 받기:**

        [API Key 관리 페이지](https://evolink.ai/dashboard/keys)를 방문하여 API Key를 받으세요

        **요청 헤더에 추가:**
        ```
        Authorization: Bearer YOUR_API_KEY
        ```

````